# -*- coding: utf-8 -*-
from django import newforms as forms
from django.newforms import *


class SearchForm(forms.Form):
    keyword = CharField(label='気になるキーワード', widget=TextInput(attrs={'size': 30}),
                        help_text='スペース区切りで複数語での検索ができます')

def search_form_generate(keyword=None):
    if keyword:
        form = SearchForm(initial={'keyword': keyword})
    else:
        form = SearchForm()

    return form
