# -*- coding: utf-8 -*-
from django import newforms as forms
from django.newforms.fields import *
from django.newforms.widgets import *

class CommentForm(forms.Form):
    author = CharField(label='おなまえ', widget=TextInput(attrs={'size': 30}), max_length=50)
    body = CharField(label='こめんと', widget=Textarea(attrs={'rows': 7, 'cols': 40}))

class SearchForm(forms.Form):
    keyword = CharField(label='けんさく', widget=TextInput(attrs={'size': 10}))
